package com.chenyang.nse.bussiness.entity.vo.encyption;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.db.ColumnInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.encryption.TCoreEncryption;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class EncryptionConfigVO {
   private String encryptionTypeId;
   private String encryptionTypeName;
   private int rows;
   private int page;
   private String sql;
   private String datasystem_id;
   private String datasystemname;
   private String columnname;
   private String schema;
   private String table_name;
   private String errMsg;
   private PageInfo pageInfo;
   private Set<String> head;
   private List<Map<String, Object>> data;
   private String statue;
   private String[] flag;
   private List<ColumnInfo> filterColumnList;
   private List<TCoreEncryption> encryptionTypes;
   private String projectid;
   private String projectId;
   private List<String> primary;

   public List<ColumnInfo> getFilterColumnList() {
      return this.filterColumnList;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }

   public void setFilterColumnList(List<ColumnInfo> filterColumnList) {
      this.filterColumnList = filterColumnList;
   }

   public List<String> getPrimary() {
      return this.primary;
   }

   public void setPrimary(List<String> primary) {
      this.primary = primary;
   }

   public int getRows() {
      return this.rows;
   }

   public void setRows(int rows) {
      this.rows = rows;
   }

   public int getPage() {
      return this.page;
   }

   public void setPage(int page) {
      this.page = page;
   }

   public String getSql() {
      return this.sql;
   }

   public void setSql(String sql) {
      this.sql = sql;
   }

   public String getTable_name() {
      return this.table_name;
   }

   public void setTable_name(String table_name) {
      this.table_name = table_name;
   }

   public String getErrMsg() {
      return this.errMsg;
   }

   public void setErrMsg(String errMsg) {
      this.errMsg = errMsg;
   }

   public PageInfo getPageInfo() {
      return this.pageInfo;
   }

   public void setPageInfo(PageInfo pageInfo) {
      this.pageInfo = pageInfo;
   }

   public Set<String> getHead() {
      return this.head;
   }

   public void setHead(Set<String> head) {
      this.head = head;
   }

   public List<Map<String, Object>> getData() {
      return this.data;
   }

   public void setData(List<Map<String, Object>> data) {
      this.data = data;
   }

   public String getStatue() {
      return this.statue;
   }

   public void setStatue(String statue) {
      this.statue = statue;
   }

   public List<TCoreEncryption> getEncryptionTypes() {
      return this.encryptionTypes;
   }

   public void setEncryptionTypes(List<TCoreEncryption> encryptionTypes) {
      this.encryptionTypes = encryptionTypes;
   }

   public String getEncryptionTypeName() {
      return this.encryptionTypeName;
   }

   public void setEncryptionTypeName(String encryptionTypeName) {
      this.encryptionTypeName = encryptionTypeName;
   }

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getEncryptionTypeId() {
      return this.encryptionTypeId;
   }

   public void setEncryptionTypeId(String encryptionTypeId) {
      this.encryptionTypeId = encryptionTypeId;
   }

   public String getDatasystemname() {
      return this.datasystemname;
   }

   public void setDatasystemname(String datasystemname) {
      this.datasystemname = datasystemname;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String[] getFlag() {
      return this.flag;
   }

   public void setFlag(String[] flag) {
      this.flag = flag;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }
}
